static site scripts
===================


Description
-----

This is a fork of the [original project](http://git.codemadness.org/static-site-scripts/log.html) enabling XHTML 1.1 support made by Nova.

Default values were left blank on this variant.

Usage
-----

sh generate.sh


Features
--------

- Small and simple to understand (I hope).
- Small amount of dependencies, requires a POSIX shell and basic Linux/Unix
  utilities[1][2].
- Markdown supported by default[0], easily extendable to add your
  \<favorite markup language\>.
- RSS and Atom output support.
- Sitemap support (sitemap.xml and urllist.txt).


Pages
-----

Pages are defined as shellscripts containing the metadata, for example
the file pages/html-example.sh.
The content filename is the basename of the shellscript with the type of
markup file appended to it (.html or .md), for example the file
pages/html-example.html.

Markdown is supported. By default "smu"[0] is set as a Markdown processor,
to change this set $markdown to your favorite Markdown-to-HTML converter in
the file generate.sh.


Dependencies
------------

cat, cut, date, mkdir, printf, read, sed, sh (POSIX), test, tr


License
-------

ISC, see LICENSE file.


References
----------

[0] smu - markdown processor: https://github.com/Gottox/smu
[1] sbase - http://git.suckless.org/sbase/
    ubase - http://git.suckless.org/ubase/
[2] busybox - http://www.busybox.net/
